<?php
    $result = array();
    $mensaje = "Fueron guardados sus datos";
    include '../rdb/conn.php';

    $myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
    $parametros = print_r($_POST,TRUE);
    fwrite($myfile, "\n");
    fwrite($myfile, "---------------------------". date("Y-m-d H:i:s") ."--------------------------------------------------------");
    fwrite($myfile, "\n");    
    fwrite($myfile, "----------------------------nuevo registro log-------------------------------------------------------");
    fwrite($myfile, "\n");    
    fwrite($myfile, "-----------------------------------------------------------------------------------------------------");
    
    fwrite($myfile, "\n");
    
    fwrite($myfile, $parametros);
    fclose($myfile);


            if (isset($_POST['reclamos'])){
                $reclamos = json_decode($_POST['reclamos'], true);
                @mysqli_query( $conn,$sql);
                $orden=0;
                foreach($reclamos as $cr){
                    $orden++;

					$sql = " insert into eventos_programados_rojo ";
					$sql .="       (  ";
					$sql .="       fevento ,  ";
					$sql .="       tipo_evento_id ,  ";
					$sql .="       fcumplimiento , ";
					$sql .="       evt_observaciones , ";
					$sql .="       evtResponsable_id ,  ";
					$sql .="       resultado_id ,  ";
					$sql .="       tipo_tramite_id ,  ";
					$sql .="       tipo_modo_reclamo_id ,  ";
					$sql .="       destinatario ,  ";
					$sql .="       direccion_de_reclamo ,  ";
					$sql .="       evento_original_id ";
					$sql .="       )";
					$sql .="      values ";
					$sql .="  (";
					$sql .="sysdate(),";
					$sql .=" 2,";
					$sql .="sysdate(),";
					$sql .="'Reclamo Manual',";
					$sql .="$cr[responsable_id],";
					$sql .="$cr[resultado_id],";
					$sql .=" $cr[tipo_tramite_id],";
					$sql .=" $cr[tipo_modo_reclamo_id],";
					$sql .=" '$cr[destinatario]',";
					$sql .="'$cr[direccion_de_reclamo]',";
					$sql .=" $cr[evento_original_id]";
					$sql .=")  ";

                                        
                                        @mysqli_query( $conn,$sql);

					$myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
					fwrite($myfile, "\n");
					fwrite($myfile, $sql);
					fwrite($myfile, "\n");        	    
					fclose($myfile);                    
                }
            }

            $visitante ="Acceso desde IP: " .$_SERVER['REMOTE_ADDR'] ;
            $fecha= date("Y-m-d H:i:s");
            $accion = $sql;
            $valor="";
	        $sql  = "INSERT INTO visitas ( fecha, visitante, accion, limite_id, valores) VALUES ";
	        $sql .= " ('$fecha','$visitante','$accion','$id','$valor')";
	        @mysqli_query( $conn,$sql);

		echo $mensaje;

    
  
?>